/**
 * SecurityMainMenu 部件模型
 *
 * @export
 * @class SecurityMainMenuModel
 */
export default class SecurityMainMenuModel {

    /**
     * 菜单项集合
     *
     * @private
     * @type {any[]}
     * @memberof SecurityMainMenuModel
     */
    private items: any[] = [
        {
	id: 'eec97abc3c6f91509a2c93e4604c3621',
	name: 'menuitem10',
	text: '组织管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '组织管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '2ed8ddaf284d117ff4bab24ce8326268',
	name: 'menuitem12',
	text: '组织',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '组织',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto17',
	resourcetag: '',
},
		{
	id: '731d59d272edd5c12ace26459da2589a',
	name: 'menuitem15',
	text: '部门',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '部门',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto18',
	resourcetag: '',
},
		{
	id: '05284582c80c965be29ee2c15d265b69',
	name: 'menuitem11',
	text: '组织人员',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '组织人员',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto16',
	resourcetag: '',
},
		{
	id: '3ed1589d0d42eeee8ff5cd536a492962',
	name: 'menuitem21',
	text: '部门人员',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '部门人员',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto21',
	resourcetag: '',
},
	],
},
        {
	id: 'd6c3dca20757065edd9a9f32e6defc07',
	name: 'menuitem17',
	text: '用户管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '用户管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'c68b77ea80039a0b8f13fc476115f6b1',
	name: 'menuitem9',
	text: '用户对象',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '用户对象',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto1',
	resourcetag: '',
},
		{
	id: 'ff93dd2373b2b70df4e44996cb5105d2',
	name: 'menuitem13',
	text: '用户',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '用户',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto19',
	resourcetag: '',
},
		{
	id: '32409f06d74a1d601300e80dd764959c',
	name: 'menuitem8',
	text: '用户组',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '用户组',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto8',
	resourcetag: '',
},
		{
	id: '44b25e29c9cbc507eef68d74233f4edc',
	name: 'menuitem14',
	text: '登陆账号',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '登陆账号',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto15',
	resourcetag: '',
},
	],
},
        {
	id: 'a80967effbff9fd494ea6369d4f119e3',
	name: 'menuitem18',
	text: '角色管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '角色管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'b7f829b37132bfb8224903ea5f6bca96',
	name: 'menuitem6',
	text: '角色类型',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '角色类型',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto13',
	resourcetag: '',
},
		{
	id: 'e244c5f830e8d3f786ea3f9c462bcfd9',
	name: 'menuitem1',
	text: '用户角色',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '用户角色',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto12',
	resourcetag: '',
},
	],
},
        {
	id: '662a0697db21c39ae012b280c7dcd900',
	name: 'menuitem4',
	text: '系统管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '系统管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'dcc9ccd86b909671eaba0bcb435de27a',
	name: 'menuitem5',
	text: '业务系统',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '业务系统',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto7',
	resourcetag: '',
},
		{
	id: 'db3f2b340748dcb41665a00db04e69f6',
	name: 'menuitem19',
	text: '业务应用',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '业务应用',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto20',
	resourcetag: '',
},
		{
	id: '94d160552e0f822e56b30ea3942a789f',
	name: 'menuitem2',
	text: '实体',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto4',
	resourcetag: '',
},
		{
	id: 'b996d51ff64ff0fa3c815f00821bf81c',
	name: 'menuitem7',
	text: '数据对象能力',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '数据对象能力',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto2',
	resourcetag: '',
},
		{
	id: 'bca0bbbf4291859659b53786924b5367',
	name: 'menuitem3',
	text: '统一资源',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '统一资源',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto3',
	resourcetag: '',
},
	],
},
        {
	id: '08fb9cf5660a34b8a4001f7d9c0b6d8a',
	name: 'menuitem20',
	text: '演示示例',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '演示示例',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
    ];

	/**
	 * 应用功能集合
	 *
	 * @private
	 * @type {any[]}
	 * @memberof SecurityMainMenuModel
	 */
	private funcs: any[] = [
        {
            appfunctag: 'Auto2',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'userroledatagridview',
            deResParameters: [],
            routepath: '/index/:index?/userroledata/:userroledata?/gridview/:gridview?',
            parameters: [
                { pathName: 'userroledata', parameterName: 'userroledata' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto15',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'loginaccountgridview',
            deResParameters: [],
            routepath: '/index/:index?/loginaccounts/:loginaccount?/gridview/:gridview?',
            parameters: [
                { pathName: 'loginaccounts', parameterName: 'loginaccount' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto12',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'userrolegridview',
            deResParameters: [],
            routepath: '/index/:index?/userroles/:userrole?/gridview/:gridview?',
            parameters: [
                { pathName: 'userroles', parameterName: 'userrole' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto7',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'systemgridview',
            deResParameters: [],
            routepath: '/index/:index?/systems/:system?/gridview/:gridview?',
            parameters: [
                { pathName: 'systems', parameterName: 'system' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto16',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'orgusergridview',
            deResParameters: [],
            routepath: '/index/:index?/orgusers/:orguser?/gridview/:gridview?',
            parameters: [
                { pathName: 'orgusers', parameterName: 'orguser' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto8',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'usergroupgridview',
            deResParameters: [],
            routepath: '/index/:index?/usergroups/:usergroup?/gridview/:gridview?',
            parameters: [
                { pathName: 'usergroups', parameterName: 'usergroup' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto3',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'uniresgridview',
            deResParameters: [],
            routepath: '/index/:index?/unires/:unires?/gridview/:gridview?',
            parameters: [
                { pathName: 'unires', parameterName: 'unires' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto17',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'orggridview',
            deResParameters: [],
            routepath: '/index/:index?/orgs/:org?/gridview/:gridview?',
            parameters: [
                { pathName: 'orgs', parameterName: 'org' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto19',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'usergridview',
            deResParameters: [],
            routepath: '/index/:index?/users/:user?/gridview/:gridview?',
            parameters: [
                { pathName: 'users', parameterName: 'user' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto18',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'orgdeptgridview',
            deResParameters: [],
            routepath: '/index/:index?/orgdepts/:orgdept?/gridview/:gridview?',
            parameters: [
                { pathName: 'orgdepts', parameterName: 'orgdept' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto4',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'dataentitygridview',
            deResParameters: [],
            routepath: '/index/:index?/dataentities/:dataentity?/gridview/:gridview?',
            parameters: [
                { pathName: 'dataentities', parameterName: 'dataentity' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto20',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'applicationgridview',
            deResParameters: [],
            routepath: '/index/:index?/applications/:application?/gridview/:gridview?',
            parameters: [
                { pathName: 'applications', parameterName: 'application' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto1',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'userobjectgridview',
            deResParameters: [],
            routepath: '/index/:index?/userobjects/:userobject?/gridview/:gridview?',
            parameters: [
                { pathName: 'userobjects', parameterName: 'userobject' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto13',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'userroletypegridview',
            deResParameters: [],
            routepath: '/index/:index?/userroletypes/:userroletype?/gridview/:gridview?',
            parameters: [
                { pathName: 'userroletypes', parameterName: 'userroletype' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'Auto21',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'orgdeptusergridview',
            deResParameters: [],
            routepath: '/index/:index?/orgdeptusers/:orgdeptuser?/gridview/:gridview?',
            parameters: [
                { pathName: 'orgdeptusers', parameterName: 'orgdeptuser' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
	];

    /**
     * 获取所有菜单项集合
     *
     * @returns {any[]}
     * @memberof SecurityMainMenuModel
     */
    public getAppMenuItems(): any[] {
        return this.items;
    }

    /**
     * 获取所有应用功能集合
     *
     * @returns {any[]}
     * @memberof SecurityMainMenuModel
     */
    public getAppFuncs(): any[] {
        return this.funcs;
    }
}